Summary:	Excellent tool for making visualization of data
Summary(pl.UTF-8):	Doskonałe narzędzie do wizualizacji danych
Name:		dx
Version:	4.4.4
Release:	17
License:	IPL
Group:		Applications
Source0:	http://opendx.npaci.edu/source/%{name}-%{version}.tar.gz
# Source0-md5:	6da0c4cd21d3c08f97b7662e3aee5b7b
Source1:	http://opendx.npaci.edu/source/%{name}samples-4.4.0.tar.gz
# Source1-md5:	e8f43722ca0a66282608bded7c0e4f93
Source2:	%{name}.desktop
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-nolibs.patch
Patch2:		dxsamples-DESTDIR.patch
Patch3:		dxsamples-unused_bin.patch
Patch4:		%{name}-include.patch
Patch5:		%{name}-ac.patch
Patch6:		%{name}-ImageMagic.patch
Patch7:		%{name}-open.patch
Patch8:		%{name}-gcc43.patch
Patch9:		format-security.patch
URL:		http://www.opendx.org/
BuildRequires:	ImageMagick-devel >= 1:6.2.4.0
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	hdf-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	libtiff-devel
BuildRequires:	motif-devel
BuildRequires:	netcdf-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXpm-devel
Requires:	openssh-clients
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	-fomit-frame-pointer
%define		skip_post_check_so	libDXL.so.*

%description
OpenDX is a uniquely powerful, full-featured software package for the
visualization of scientific, engineering and analytical data: Its open
system design is built on a standard interface environments. And its
sophisticated data model provides users with great flexibility in
creating visualizations.

%description -l pl.UTF-8
OpenDX jest w pełni funkcjonalnym, o unikalnych możliwościach,
pakietem do wizualizacji danych naukowych, inżynierskich i
analitycznych. Został zaprojektowany w sposób otwarty, w oparciu o
standardowe środowiska interfejsów. Jego przemyślany model danych
daje użytkownikom dużą elastyczność w tworzeniu wizualizacji.

%package libs
Summary:	OpenDX shared libraries
Summary(pl.UTF-8):	Biblioteki współdzielone OpenDX
Group:		Libraries

%description libs
OpenDX shared libraries.

%description libs -l pl.UTF-8
Biblioteki współdzielone OpenDX.

%package devel
Summary:	OpenDX development files
Summary(pl.UTF-8):	Pliki nagłówkowe OpenDX
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
OpenDX development files.

%description devel -l pl.UTF-8
Pliki nagłówkowe OpenDX oraz inne pliki, potrzebne do budowania.

%package static
Summary:	OpenDX static libraries
Summary(pl.UTF-8):	Biblioteki statyczne OpenDX
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
OpenDX static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne OpenDX.

%package doc
Summary:	OpenDX documentation
Summary(pl.UTF-8):	Dokumentacja OpenDX
Group:		Documentation

%description doc
Online help and html documentation for OpenDX.

%description doc -l pl.UTF-8
Podręczna pomoc oraz dokumentacja html dla OpenDX.

%package examples
Summary:	OpenDX Examples
Summary(pl.UTF-8):	Przykłady dla OpenDX
Group:		Documentation

%description examples
Examples for OpenDX.

%description examples -l pl.UTF-8
Przykłady dla OpenDX.

%prep
%setup  -q -a 1
#%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--prefix=%{_datadir} \
	--enable-shared \
	--enable-static \
	--disable-dependency-tracking \
	--enable-smp-linux \
	--enable-new-keylayout \
	--without-javadx \
	--with-rsh=%{_bindir}/ssh

cd %{name}samples-4.4.0
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--prefix=%{_examplesdir} \
	--without-javadx
cd ..

%{__make} -j1

%{__make} -j1 -C %{name}samples-4.4.0

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C %{name}samples-4.4.0 install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir},%{_mandir},%{_desktopdir},%{_pixmapsdir}}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install src/uipp/ui/icon50.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/dx.xpm
mv $RPM_BUILD_ROOT%{_datadir}/bin/dx $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{_datadir}/dx/man/manl $RPM_BUILD_ROOT%{_mandir}
mv $RPM_BUILD_ROOT%{_datadir}/dx/include/* $RPM_BUILD_ROOT%{_includedir}
mv $RPM_BUILD_ROOT%{_datadir}/dx/lib_linux $RPM_BUILD_ROOT%{_libdir}/dx
mv $RPM_BUILD_ROOT%{_datadir}/dx/bin_linux $RPM_BUILD_ROOT%{_libdir}/dx
mv $RPM_BUILD_ROOT%{_examplesdir}/dx/samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
ln -s %{_libdir}/dx $RPM_BUILD_ROOT%{_datadir}/dx/lib_linux
ln -s %{_libdir}/dx/bin_linux $RPM_BUILD_ROOT%{_datadir}/dx
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{bin,dx/{bin/dx,man,include,doc}}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/README*
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/dx
%attr(755,root,root) %{_datadir}/dx/bin
%{_datadir}/dx/bin_linux
%{_datadir}/dx/fonts
%{_datadir}/dx/lib
%{_datadir}/dx/lib_linux
%{_datadir}/dx/ui
%{_mandir}/manl/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%files libs
%defattr(644,root,root,755)
%dir %{_libdir}/dx
%attr(755,root,root) %{_libdir}/dx/bin_linux
%attr(755,root,root) %{_libdir}/dx/lib*.so.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%{_libdir}/dx/*.mak
%{_libdir}/dx/*.la
%{_libdir}/dx/*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/dx/*.a

%files doc
%defattr(644,root,root,755)
%{_datadir}/dx/h*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Nov 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dx.git;a=log;h=master

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> d8d7e9e
- release 17 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e6dd81b
- release 16 (by relup.sh)

* Tue Jun 11 2013 Jan Rękorajski <baggins@pld-linux.org> 1798cd7
- fix format string errors
- rel 15

* Sun Jun 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> adf19d2
- release 14 (by relup.sh)

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 36a7e7e
- release 13

* Thu Nov 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 63d6bfe
- release 12

* Mon Jul 04 2011 Jan Rękorajski <baggins@pld-linux.org> caa1bd4
- rel 11

* Thu Dec 09 2010 lisu <lisu@pld-linux.org> 0985797
- rel 10; skip symbol checking for broken lib

* Thu Dec 09 2010 lisu <lisu@pld-linux.org> 76f2865
- rel 9 (new ImageMagick)

* Tue Jan 19 2010 amateja <amateja@pld-linux.org> 2816ba8
- ImageMagick renamed it's function from DestroyConstitute to ConstituteComponentTerminus, so we should do the same. Difference is between versions 6.5.8-10 and 6.5.9-0.

* Mon Jan 18 2010 amateja <amateja@pld-linux.org> 5e76d2b
- release 8

* Mon Jun 08 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 3ff8e03
- release 7

* Sat May 02 2009 areq <areq@pld-linux.org> c2ab33f
- release 6

* Sun Nov 16 2008 Jan Rękorajski <baggins@pld-linux.org> fff3497
- rel 5
- fix use of open with 2 args
- gcc 4.3 fixes
- updated BRs
- use ssh as rsh
- force -j1 in make

* Sun Nov 16 2008 Jan Rękorajski <baggins@pld-linux.org> cdc4bc0
- fix building ImageMagick with HDRI enabled

* Sun Nov 16 2008 Jan Rękorajski <baggins@pld-linux.org> c6a539d
- gcc 4.3 build fixes (from FC)

* Sun Nov 16 2008 Jan Rękorajski <baggins@pld-linux.org> ced11c9
- fix open() invocation with O_CREAT and no mode (from FC)

* Sun Nov 16 2008 Jan Rękorajski <baggins@pld-linux.org> d99b771
- cpp is not an executable

* Thu Nov 13 2008 Jan Rękorajski <baggins@pld-linux.org> 4a53e0e
- attempts at fixing autocrap problems
- update configure.ac for latest ImageMagick

* Thu Nov 13 2008 Jan Rękorajski <baggins@pld-linux.org> b54d7b7
- fix build with latest ImageMagick

